Skip to main content
GET
/
grok
/
fetch
cURL
curl --request GET \
  --url https://api.ttapi.io/grok/fetch \
  --header 'TT-API-KEY: <api-key>'
{
  "status": "SUCCESS",
  "message": "success",
  "jobId": "c822d894-fba8-4cd7-8b34-5cf54284af61",
  "data": {
    "videoId": "video_b96164dd8bfa43518c858bcf",
    "prompt": "镜头不动,石灯上的蚂蚁正在爬行,背景的花草随风有微微的晃动,背景音乐有蝉鸣的声音",
    "aspectRatio": "9:16",
    "videoLength": "30",
    "resolutionName": "720p",
    "referImage": "https://api.nananobanana.cn/api/cos-proxy/default-tenant-001/images/a515af9c-1619-42e8-abc7-97a6792ec524.png",
    "videoUrl": "https://cdn.ttapi.io/other/2026-03-10/56a8bece963a4e8e9a585f41c5d24162.mp4",
    "quota": "9",
    "finishTime": "2026-03-10 09:52:59",
    "hookUrl": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

TT-API-KEY
string
header
required

请前往 TTAPI 控制台 获取 API 密钥。

Query Parameters

jobId
string
required

生成的视频的jobId

Response

请求成功

status
enum<string>
required

任务状态:待排队/排队中/成功/失败

Available options:
PENDING_QUEUE,
ON_QUEUE,
SUCCESS,
FAILED
message
string
required

响应信息

jobId
string

任务id

data
object

任务结果

Last modified on March 26, 2026